mia-3dmotioncompica-nonrigid
Prev | Registration of series of 3D images | Next

### mia-3dmotioncompica-nonrigid

#### Sysnopis:

`mia-3dmotioncompica-nonrigid` {-i `io`} {-o `io`} [ `options` ...]

#### Description:

This program implements a 3D version of the motion compensation algorithm described in

Wollny G, Kellman P, Santos A, Ledesma-Carbayo M-J, "Automatic Motion Compensation of Free Breathing acquired Myocardial Perfusion Data by using Independent Component Analysis" Medical Image Analysis, 2012

.

#### Options:

#### File-IO

-i, --in-file=(input, required); io

  input images of consecutively numbered filed (nameXXXX.ext). For supported file types see Plugin type: 3dimage/io

-o, --out-file=(output, required); io

  output image name (as C format string including a %04d in order to define the file numbering). For supported file types see Plugin type: 3dimage/io

--save-refs=STRING

  save reference images, the given string is used as file name base, the number pattern follows the input images, and the output format is always 'vista'

--save-regs=STRING

  save intermediate registered images, the given string is used as file name base, the number pattern follows the input images, and the output format is always 'vista'

--save-coeffs=STRING

  save mixing matrix to a text file

--save-features=STRING

  save feature images as PNG

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### ICA

--fastica=internal; factory

  FastICA implementationto be used. For supported plug-ins see Plugin type: fastica/implementation

-C, --components=0; ulong

  ICA components 0 = automatic estimation

--no-normalize

  don't normalized ICs

--no-meanstrip

  don't strip the mean from the mixing curves

-k, --skip=0; ulong

  skip images at the beginning of the series e.g. because as they are of other modalities

-m, --max-ica-iter=400; ulong

  maximum number of iterations in ICA

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Registration

-O, --optimizer=gsl:opt=gd,step=0.1; stringSTRING

  Optimizer used for minimization

-a, --start-c-rate=32; double

  start coefficinet rate in spines, gets divided by --c-rate-divider with every pass

--c-rate-divider=4; double

  cofficient rate divider for each pass

-d, --start-divcurl=20; double

  start divcurl weight, gets divided by --divcurl-divider with every pass

--divcurl-divider=4; double

  divcurl weight scaling with each new pass

-w, --imagecost=image:weight=1,cost=ssd,; stringSTRING

  image cost

-l, --mg-levels=3; ulong

  multi-resolution levels

-P, --passes=3; ulong

  registration passes

#### Example:

Register the perfusion series given in images imagesXXXX.v by using 4-class ICA estimation. Skip two images at the beginning, use at most 4 registration threads, a nlopt based optimizer and otherwiese use the default parameters. Store the result in registeredXXXX.v

    mia-3dmotioncompica-nonrigid -i images0000.v -o  registered%04d.v  -k 2 -C 4 -t 4 -O nlopt:opt=ld-var1,xtola=0.001,ftolr=0.001,maxiter=300

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dmany2one-nonrigid | Home | mia-3dprealign-nonrigid